Skip to main content
POST
Redeploy

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the deployment to re-deploy.

Body

application/json

A JSON object with the following properties:

resourceIds
string[] | null

A list of deployment resource ids to re-deploy.

resourceNames
string[] | null

A list of deployment resource names to re-deploy.

source
string | null

Sets the source of the deployment.

Response

Request successful.

deployedProcessDefinitions
object | null

A JSON Object containing a property for each of the process definitions, which are successfully deployed with that deployment. The key is the process definition id, the value is a JSON Object corresponding to the process definition.

deployedDecisionDefinitions
object | null

A JSON Object containing a property for each of the decision definitions, which are successfully deployed with that deployment. The key is the decision definition id, the value is a JSON Object corresponding to the decision definition.

deployedDecisionRequirementsDefinitions
object | null

A JSON Object containing a property for each of the decision requirements definitions, which are successfully deployed with that deployment. The key is the decision requirements definition id, the value is a JSON Object corresponding to the decision requirements definition.

deployedCaseDefinitions
object | null

A JSON Object containing a property for each of the case definitions, which are successfully deployed with that deployment. The key is the case definition id, the value is a JSON Object corresponding to the case definition.

id
string | null

The id of the deployment.

tenantId
string | null

The tenant id of the deployment.

deploymentTime
string<date-time> | null

The time when the deployment was created.

source
string | null

The source of the deployment.

name
string | null

The name of the deployment.

The links associated to this resource, with method, href and rel.